$ErrorActionPreference = 'Stop' # stop on all errors
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$url          = 'https://github.com/asyncapi/cli/releases/download/v1.5.5/asyncapi.x86.exe'
$url64        = 'https://github.com/asyncapi/cli/releases/download/v1.5.5/asyncapi.x64.exe' 

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'EXE' 
  url           = $url
  url64bit      = $url64
  #file         = $fileLocation NOTE: Commented out because we are using url instead

  softwareName  = 'asyncapi-cli*'

  checksum      = 'F8B880EBAFB344DA85CA30E1BC778BE2B644FB3A0595A04770BF9F8F5502EDD1'
  checksumType  = 'sha256' #default is md5, can also be sha1, sha256 or sha512
  checksum64    = 'D398A56B45AD57DB6F3374562576E6D8B3BAD9E3806E7A11B1ACDDE7FA39C38A'
  checksumType64= 'sha256' #default is checksumType

  validExitCodes= @(0, 3010, 1641)
  silentArgs   = '/S'           # NSIS
}

Install-ChocolateyPackage @packageArgs # https://docs.chocolatey.org/en-us/create/functions/install-chocolateypackage
